Bug 1305669 - (rubygem-benchmark-ips) Review Request: rubygem-benchmark-ips - An iterations per second enhancement to Benchmark
Review Request: rubygem-benchmark-ips - An iterations per second enhancement ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 15:45 EST by greg.hellings
Modified: 2016-03-26 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-25 17:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2016-02-08 15:45:22 EST
Spec URL: https://greghellings.fedorapeople.org/rubygem-benchmark-ips/rubygem-benchmark-ips.spec
SRPM URL: https://greghellings.fedorapeople.org/rubygem-benchmark-ips/rubygem-benchmark-ips-2.3.0-1.fc24.src.rpm
Description: A iterations per second enhancement to Benchmark.
Fedora Account System Username: greghellings
Comment 1 Jerry James 2016-02-26 11:14:40 EST
I will take this review.
Comment 2 Jerry James 2016-02-26 12:30:14 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package contains Requires: ruby(release).  This is for non-gem ruby packages
  only.  See: https://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Compatibility

- "A iterations" (in both Summary and %description) is not correct English.
  That should be "An iterations", although I would just drop the "a" off of
  the front of the summary altogether, and make that "Iterations per second
  enhancement to Benchmark".

- Regarding a license file, README.md does contain the license ... and other
  stuff, too.  Still, I think it is not a bad idea to add %license README.md
  to the main package.  I will not insist on this, though, if you don't like
  the idea.

- Is the Rakefile really useful in the documentation?

- Version 2.3.0 is packaged, but 2.5.0 is the latest upstream release.

- Is the hidden file %{_datadir}/gems/gems/benchmark-ips-2.3.0/.autotest needed?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
     rdoc did this, so we'll ignore it.
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Gem package should exclude cached Gem.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-benchmark-ips-2.3.0-1.fc24.noarch.rpm
          rubygem-benchmark-ips-doc-2.3.0-1.fc24.noarch.rpm
          rubygem-benchmark-ips-2.3.0-1.fc24.src.rpm
rubygem-benchmark-ips.noarch: W: no-documentation
rubygem-benchmark-ips.noarch: W: hidden-file-or-dir /usr/share/gems/gems/benchmark-ips-2.3.0/.autotest
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-benchmark-ips.noarch: W: no-documentation
rubygem-benchmark-ips.noarch: W: hidden-file-or-dir /usr/share/gems/gems/benchmark-ips-2.3.0/.autotest
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
rubygem-benchmark-ips-doc (rpmlib, GLIBC filtered):
    rubygem-benchmark-ips

rubygem-benchmark-ips (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-benchmark-ips-doc:
    rubygem-benchmark-ips-doc

rubygem-benchmark-ips:
    rubygem(benchmark-ips)
    rubygem-benchmark-ips



Source checksums
----------------
https://rubygems.org/gems/benchmark-ips-2.3.0.gem :
  CHECKSUM(SHA256) this package     : 12443aa327d3129aa965244f79d7d5cb0f692f0f92ba7db76fba61526a40062e
  CHECKSUM(SHA256) upstream package : 12443aa327d3129aa965244f79d7d5cb0f692f0f92ba7db76fba61526a40062e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1305669 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 greg.hellings 2016-03-02 14:24:50 EST
Thanks for the review.

New URLs for the files.

https://fedorapeople.org/~greghellings/rubygem-benchmark-ips/rubygem-benchmark-ips-2.5.0-1.fc24.src.rpm
https://fedorapeople.org/~greghellings/rubygem-benchmark-ips/rubygem-benchmark-ips.spec


(In reply to Jerry James from comment #2)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Package contains Requires: ruby(release).  This is for non-gem ruby
> packages
>   only.  See:
> https://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Compatibility

As with the em-specs review, this appears to be a spurious complaint by the tooling. Requires: ruby(release) is not present in the spec file.

> 
> - "A iterations" (in both Summary and %description) is not correct English.
>   That should be "An iterations", although I would just drop the "a" off of
>   the front of the summary altogether, and make that "Iterations per second
>   enhancement to Benchmark".

This is copied from upstream's README.md, as auto-generated by gem2rpm. I have corrected the text in the spec file as it is unlikely that this will be updated via the automation mechanism and also submitted a PR upstream to fix the README.md file: https://github.com/evanphx/benchmark-ips/pull/61

> 
> - Regarding a license file, README.md does contain the license ... and other
>   stuff, too.  Still, I think it is not a bad idea to add %license README.md
>   to the main package.  I will not insist on this, though, if you don't like
>   the idea.

I have added this. I have no objections to it.

> 
> - Is the Rakefile really useful in the documentation?

I can't say for sure, but it seems to be included by default in the gem2rpm process. It gives basic information about how the gemspec file is generated and how tests should be run. I have no objections to removing it if you'd like.

> 
> - Version 2.3.0 is packaged, but 2.5.0 is the latest upstream release.

Wow, 2.4.0, 2.4.1, and 2.5.0 have all been released since I created my initial package about a month ago. I've updated to 2.5.0.

> 
> - Is the hidden file %{_datadir}/gems/gems/benchmark-ips-2.3.0/.autotest
> needed?

It does not appear needed for runtime. I've added it to the %exclude list.

--Greg

> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
>      unknown license.
> [x]: License file installed when any subpackage combination is installed.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: Package requires other packages for directories it uses.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 0 bytes in 0 files.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Ruby:
> [x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
>      independent under %{gem_dir}.
> [x]: Gem package must not define a non-gem subpackage
> [x]: Macro %{gem_extdir} is deprecated.
> [x]: Gem package is named rubygem-%{gem_name}
> [x]: Package contains BuildRequires: rubygems-devel.
> [x]: Gem package must define %{gem_name} macro.
> [x]: Pure Ruby package must be built as noarch
> [x]: Package does not contain Requires: ruby(abi).
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: Avoid bundling fonts in non-fonts packages.
>      Note: Package contains font files
>      rdoc did this, so we'll ignore it.
> [!]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Fully versioned dependency in subpackages if applicable.
> [?]: Package functions as described.
> [!]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> Ruby:
> [x]: Gem should use %gem_install macro.
> [x]: Gem package should exclude cached Gem.
> [x]: Specfile should use macros from rubygem-devel package.
> [x]: Test suite should not be run by rake.
> [x]: Test suite of the library should be run.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: rubygem-benchmark-ips-2.3.0-1.fc24.noarch.rpm
>           rubygem-benchmark-ips-doc-2.3.0-1.fc24.noarch.rpm
>           rubygem-benchmark-ips-2.3.0-1.fc24.src.rpm
> rubygem-benchmark-ips.noarch: W: no-documentation
> rubygem-benchmark-ips.noarch: W: hidden-file-or-dir
> /usr/share/gems/gems/benchmark-ips-2.3.0/.autotest
> 3 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> sh: /usr/bin/python: No such file or directory
> rubygem-benchmark-ips.noarch: W: no-documentation
> rubygem-benchmark-ips.noarch: W: hidden-file-or-dir
> /usr/share/gems/gems/benchmark-ips-2.3.0/.autotest
> 2 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> 
> 
> Requires
> --------
> rubygem-benchmark-ips-doc (rpmlib, GLIBC filtered):
>     rubygem-benchmark-ips
> 
> rubygem-benchmark-ips (rpmlib, GLIBC filtered):
>     ruby(rubygems)
> 
> 
> 
> Provides
> --------
> rubygem-benchmark-ips-doc:
>     rubygem-benchmark-ips-doc
> 
> rubygem-benchmark-ips:
>     rubygem(benchmark-ips)
>     rubygem-benchmark-ips
> 
> 
> 
> Source checksums
> ----------------
> https://rubygems.org/gems/benchmark-ips-2.3.0.gem :
>   CHECKSUM(SHA256) this package     :
> 12443aa327d3129aa965244f79d7d5cb0f692f0f92ba7db76fba61526a40062e
>   CHECKSUM(SHA256) upstream package :
> 12443aa327d3129aa965244f79d7d5cb0f692f0f92ba7db76fba61526a40062e
> 
> 
> Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
> Command line :/usr/bin/fedora-review -b 1305669 -m fedora-rawhide-x86_64
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Ruby, Shell-api
> Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl,
> Haskell, R, PHP
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Jerry James 2016-03-04 14:57:35 EST
(In reply to greg.hellings from comment #3)
> This is copied from upstream's README.md, as auto-generated by gem2rpm. I
> have corrected the text in the spec file as it is unlikely that this will be
> updated via the automation mechanism and also submitted a PR upstream to fix
> the README.md file: https://github.com/evanphx/benchmark-ips/pull/61

You will need to correct the bug summary as well.  That has to match the summary in the spec file before asking for the package to be created.

> > - Is the Rakefile really useful in the documentation?
> 
> I can't say for sure, but it seems to be included by default in the gem2rpm
> process. It gives basic information about how the gemspec file is generated
> and how tests should be run. I have no objections to removing it if you'd
> like.

If it is useful, then I'm okay with it staying.

I see no further issues, so this package is APPROVED.
Comment 5 greg.hellings 2016-03-08 12:04:26 EST
Thanks for the review!
Comment 6 Gwyn Ciesla 2016-03-09 08:48:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-benchmark-ips
Comment 7 Fedora Update System 2016-03-09 11:04:02 EST
rubygem-benchmark-ips-2.5.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbb3d19a5c
Comment 8 Fedora Update System 2016-03-09 11:14:19 EST
rubygem-benchmark-ips-2.5.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6c3d911900
Comment 9 Fedora Update System 2016-03-09 20:55:20 EST
rubygem-benchmark-ips-2.5.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbb3d19a5c
Comment 10 Fedora Update System 2016-03-10 10:55:46 EST
rubygem-benchmark-ips-2.5.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6c3d911900
Comment 11 Fedora Update System 2016-03-25 17:25:16 EDT
rubygem-benchmark-ips-2.5.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-26 14:15:22 EDT
rubygem-benchmark-ips-2.5.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.